cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/search \
--header 'x-api-key: <api-key>'{
"data": [
{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
]
}
]
}Events
Search Events
Search for events by title or keyword
GET
/
events
/
search
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/search \
--header 'x-api-key: <api-key>'{
"data": [
{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Data provider for events (defaults to polymarket)
Available options:
kalshi, polymarket Search term matched against event titles
Required string length:
1 - 200Required range:
1 <= x <= 20Response
200 - application/json
Events matching the search query
Show child attributes
Show child attributes
Was this page helpful?
⌘I
